Un ordinateur Windows 2000 qui exécute le Pack d'interface utilisateur multilingue pour Windows 2000 ne peut pas être mis à jour après l'installation de l'une des mises à jour de sécurité DirectX associée au bulletin de sécurité MS05-050

Traductions disponibles Traductions disponibles
Numéro d'article: 910415 - Voir les produits auxquels s'applique cet article
Cet article peut contenir des liens vers des informations en langue anglaise (pas encore traduites).
Agrandir tout | Réduire tout

Sommaire

Symptômes

Envisagez le scénario suivant :
  • Vous utilisez un ordinateur Microsoft Windows 2000 qui exécute le Pack d'interface utilisateur multilingue pour Windows 2000.
  • Vous installez l'une des mises à jour de sécurité de Microsoft DirectX associée au bulletin de sécurité MS05-050.
Dans ce scénario, votre ordinateur ne peut pas être mis à jour. En outre, un message d'erreur semblable à celui-ci peut s'afficher :
This software update can only be applied to DirectX <version> (Cette mise à jour de logiciel n'est applicable qu'à DirectX <version>). If you see this message, you do not have DirectX <version> installed and cannot install this software update (Si ce message s'affiche, DirectX <version> n'est pas installé et vous ne pouvez pas installer cette mise à jour de logiciel)
Remarque Dans ce scénario, votre ordinateur est toujours vulnérable au problème décrit dans le bulletin de sécurité MS05-050. La mise à jour de sécurité peut sembler s'installer correctement. Il est possible qu'aucun message d'erreur ne s'affiche.

Cause

Ce problème se produit lorsque les informations de version du fichier Quartz.dll sont incorrectes. Pour plus d'informations sur la ou les causes de l'inexactitude des informations de version du fichier Quartz.dll, cliquez sur le numéro ci-dessous pour afficher l'article correspondant dans la Base de connaissances Microsoft.
263212 Les informations de version de fichiers peuvent être erronées dans la version multilingue de Windows 2000

Résolution

Pour résoudre ce problème, installez la mise à jour de sécurité appropriée associée au bulletin de sécurité MS05-050. Sélectionnez la mise à jour de sécurité en fonction de la version du fichier Quartz.dll de votre ordinateur.

Comment faire pour identifier la version du fichier Quartz.dll sur un ordinateur qui exécute le Pack d'interface utilisateur multilingue pour Windows 2000

Pour identifier la version du fichier Quartz.dll de votre ordinateur, appliquez l'une des méthodes ci-dessous.

Méthode 1 : Vous exécutez le Pack d'interface utilisateur multilingue pour Windows 2000 et une version non anglaise de Windows 2000

Utilisez l'outil Filever.exe. Pour plus d'informations sur la façon d'utiliser l'outil Filever.exe afin de déterminer la version du fichier Quartz.dll, cliquez sur le numéro ci-dessous pour afficher l'article correspondant dans la Base de connaissances Microsoft.
263212 Les informations de version de fichiers peuvent être erronées dans la version multilingue de Windows 2000

Méthode 2 : Vous exécutez le Pack d'interface utilisateur multilingue pour Windows 2000 et une version anglaise de Windows 2000

Utilisez l'outil Dxdiag.exe pour examiner la version du fichier Quartz.dll. Pour cela, procédez comme suit :
  1. Cliquez sur Démarrer, sur Exécuter, tapez dxdiag, puis cliquez sur OK.
  2. Cliquez sur l'onglet Système, puis notez la version de DirectX indiquée dans la zone Informations système.
  3. Cliquez sur l'onglet Fichiers DirectX et consultez les informations de version du fichier Quartz.dll.
  4. Notez les informations de version du fichier Quartz.dll.

Comment faire pour installer la mise à jour de sécurité DirectX appropriée associée au bulletin de sécurité MS05-050 en fonction de la version du fichier Quartz.dll

Important Si vous exécutez le Pack d'interface utilisateur multilingue pour Windows 2000, vous devez installer la version anglaise appropriée de la mise à jour de sécurité quelle que soit la version linguistique du Pack d'interface utilisateur multilingue que vous exécutez. Si vous exécutez une version non anglaise de Windows 2000 et que le Pack d'interface utilisateur multilingue pour Windows 2000 n'est pas installé, installez la version linguistique de la mise à jour de sécurité qui correspond à la version linguistique de Windows 2000.

Pour installer la mise à jour de sécurité appropriée, reportez-vous à l'un des sites Web de Microsoft suivants, selon la version du fichier Quartz.dll :

Ordinateurs qui exécutent le fichier Quartz.dll version 6.1.9.7XX
http://www.microsoft.com/downloads/details.aspx?displaylang=fr&FamilyID=2feffe6c-6c1c-42d9-b15e-f8f8d9c0e60e
Ordinateurs qui exécutent le fichier Quartz.dll version 6.3.1.8XX
http://www.microsoft.com/downloads/details.aspx?displaylang=fr&FamilyID=FEDC7212-27B8-4993-9965-53E9298DB386
Ordinateurs qui exécutent le fichier Quartz.dll version 6.5.1.9XX
http://www.microsoft.com/downloads/details.aspx?displaylang=fr&FamilyID=1853AD1F-92C8-4C2B-8F52-9B2FC8DBF769

Statut

Microsoft a confirmé l'existence de ce problème dans les produits Microsoft figurant dans la liste des produits concernés par cet article.

Plus d'informations

Microsoft a également identifié un problème qui se produit lorsque vous installez le package DirectX 8 Runtime sur un ordinateur Windows 2000 avec Pack d'interface utilisateur multilingue. Si vous exécutez un Pack d'interface utilisateur multilingue non anglais et que vous installez le package DirectX 8 Runtime, certains binaires ne sont pas correctement mis à jour. Lorsque vous examinez la version du fichier Quartz.dll, la version reste celle qui était fournie avec DirectX 7. Si vous rencontrez ce problème, vous pouvez essayer de le résoudre en installant la version anglaise de DirectX 9.

En outre, Microsoft a également documenté un problème indépendant où l'ordinateur ne peut pas être mis à jour lorsque vous installez l'une des mises à jour de sécurité DirectX associée au bulletin de sécurité MS05-050 sur un ordinateur Windows Server 2003, Windows XP ou Windows 2000. Pour plus d'informations, cliquez sur le numéro ci-dessous pour afficher l'article correspondant de la Base de connaissances Microsoft.
909596 L'ordinateur ne peut pas être mis à jour lorsque vous installez l'une des mises à jour de sécurité DirectX associée au bulletin de sécurité MS05-050 sur un ordinateur Windows Server 2003, Windows XP ou Windows 2000

Propriétés

Numéro d'article: 910415 - Dernière mise à jour: jeudi 8 décembre 2005 - Version: 1.0
Les informations contenues dans cet article s'appliquent au(x) produit(s) suivant(s):
  • Microsoft Windows 2000 Advanced Server
  • Microsoft Windows 2000 Datacenter Server
  • Microsoft Windows 2000 Professionel
  • Microsoft Windows 2000 Service Pack 4
  • Microsoft Small Business Server 2000 Standard Edition
Mots-clés : 
kbtshoot kbsecurity KB910415
L'INFORMATION CONTENUE DANS CE DOCUMENT EST FOURNIE PAR MICROSOFT SANS GARANTIE D'AUCUNE SORTE, EXPLICITE OU IMPLICITE. L'UTILISATEUR ASSUME LE RISQUE DE L'UTILISATION DU CONTENU DE CE DOCUMENT. CE DOCUMENT NE PEUT ETRE REVENDU OU CEDE EN ECHANGE D'UN QUELCONQUE PROFIT.

Envoyer des commentaires

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com